Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::QueryParserToken Class Reference

Describes the input token stream. More...

`#include <QueryParserToken.h>`

Inheritance diagram for Lucene::QueryParserToken:

## Public Member Functions

| QueryParserToken (int32_t kind=0, const String &image=EmptyString)
| Constructs a new token for the specified Image and Kind. More...
virtual | ~QueryParserToken ()
virtual String | getClassName ()
boost::shared_ptr < QueryParserToken > | shared_from_this ()
virtual String | toString ()
| Returns the image. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
static QueryParserTokenPtr | newToken (int32_t ofKind, const String &image=EmptyString)
| Returns a new Token object, by default. However, if you want, you can create and return subclass objects based on the value of ofKind. Simply add the cases to the switch for all those special cases. More...

## Data Fields

int32_t | kind
| An integer that describes the kind of this token. More...
int32_t | beginLine
| The line number of the first character of this Token. More...
int32_t | beginColumn
| The column number of the first character of this Token. More...
int32_t | endLine
| The line number of the last character of this Token. More...
int32_t | endColumn
| The column number of the last character of this Token. More...
String | image
| The string image of the token. More...
QueryParserTokenPtr | next
| A reference to the next regular (non-special) token from the input stream. If this is the last token from the input stream, or if the token manager has not read tokens beyond this one, this field is set to null. This is true only if this token is also a regular token. Otherwise, see below for a description of the contents of this field. More...
QueryParserTokenPtr | specialToken

This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token. If there are no such special tokens, this field is set to null. When there are more than one such special token, this field refers to the last of these special tokens, which in turn refers to the next previous special token through its specialToken field, and so on until the first special token (whose specialToken field is null). The next fields of special tokens refer to other special tokens that immediately follow it (without an intervening regular token). If there is no such token, this field is null. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Describes the input token stream.

## Constructor & Destructor Documentation

Lucene::QueryParserToken::QueryParserToken | ( | int32_t | kind = `0`,
|  | const String & | image = `EmptyString`
| ) |  |

Constructs a new token for the specified Image and Kind.

virtual Lucene::QueryParserToken::~QueryParserToken | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::QueryParserToken::_getClassName | ( | ) |  |

inline static

virtual String Lucene::QueryParserToken::getClassName | ( | ) |  |

inline virtual

static QueryParserTokenPtr Lucene::QueryParserToken::newToken | ( | int32_t | ofKind,
|  | const String & | image = `EmptyString`
| ) |  |

static

Returns a new Token object, by default. However, if you want, you can create and return subclass objects based on the value of ofKind. Simply add the cases to the switch for all those special cases.

boost::shared_ptr< QueryParserToken > Lucene::QueryParserToken::shared_from_this | ( | ) |  |

inline

virtual String Lucene::QueryParserToken::toString | ( | ) |  |

virtual

Returns the image.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

int32_t Lucene::QueryParserToken::beginColumn

The column number of the first character of this Token.

int32_t Lucene::QueryParserToken::beginLine

The line number of the first character of this Token.

int32_t Lucene::QueryParserToken::endColumn

The column number of the last character of this Token.

int32_t Lucene::QueryParserToken::endLine

The line number of the last character of this Token.

String Lucene::QueryParserToken::image

The string image of the token.

int32_t Lucene::QueryParserToken::kind

An integer that describes the kind of this token.

QueryParserTokenPtr Lucene::QueryParserToken::next

A reference to the next regular (non-special) token from the input stream. If this is the last token from the input stream, or if the token manager has not read tokens beyond this one, this field is set to null. This is true only if this token is also a regular token. Otherwise, see below for a description of the contents of this field.

QueryParserTokenPtr Lucene::QueryParserToken::specialToken

This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token. If there are no such special tokens, this field is set to null. When there are more than one such special token, this field refers to the last of these special tokens, which in turn refers to the next previous special token through its specialToken field, and so on until the first special token (whose specialToken field is null). The next fields of special tokens refer to other special tokens that immediately follow it (without an intervening regular token). If there is no such token, this field is null.

The documentation for this class was generated from the following file:

- QueryParserToken.h

clucene.sourceforge.net